:root {
    color-scheme: dark;
    --clr-transparent: rgba(0, 0, 0, 0);
    --clr-bg: rgb(0, 0, 0);
    --clr-border: rgba(255, 255, 255, .25);
    --clr-muted: rgba(255, 255, 255, .5);
    --clr-text: rgba(255, 255, 255, .75);
    --clr-bright: rgba(255, 255, 255, 1);
    --space-xs: 0.25rem;
    --space-sm: 0.5rem;
    --space-md: 0.75rem;
    --space-lg: 1.5rem;
    --space-xl: 3rem;
}

html {
    -webkit-tap-highlight-color: var(--clr-transparent);
    font-size: 100%;
}

body {
    background-color: var(--clr-bg);
    color: var(--clr-text);
    font-family: system-ui, -apple-system, sans-serif;
    font-size: 0.875rem;
    line-height: calc(1 + (var(--space-sm) / 1rem));
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeSpeed;
    user-select: none;
    cursor: default;
}

:focus {
    outline: 0;
}

h1 {
    font: inherit;
    margin: 0;
    font-size: 1rem;
    line-height: calc(1 + (var(--space-sm) / 1rem));
}

h2 {
    font: inherit;
    margin: 0;
}

p {
    font: inherit;
    margin: 0;
}

::placeholder {
    color: var(--clr-muted);
}

::selection {
    background: var(--clr-border);
}

ol {
    margin: 0;
    padding: 0;
    display: grid;
    gap: var(--space-lg);
}

ul {
    display: flex;
    gap: var(--space-lg);
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

a {
    font: inherit;
    color: inherit;
    outline: none;
    -webkit-tap-highlight-color: var(--clr-transparent);
    text-decoration: none;
    width: fit-content;
}

button {
    font: inherit;
    color: inherit;
    outline: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    appearance: none;
    box-shadow: none;
    margin: 0;
    touch-action: manipulation;
}

input {
    font: inherit;
    color: inherit;
    outline: none;
    appearance: none;
    background: none;
    border: none;
    box-shadow: none;
    padding: 0;
    margin: 0;
}

a:hover {
    color: var(--clr-bright);
}

button:hover {
    color: var(--clr-bright);
}

a:focus {
    color: var(--clr-bright);
}

button:focus {
    color: var(--clr-bright);
}

a:active {
    color: var(--clr-text);
}

main li:has(span) {
    display: grid;
    gap: var(--space-xs);
}

main li:has(span) span {
    font-size: .75rem;
}

button:active {
    color: var(--clr-text);
}

header:not(article header) {
    display: grid;
    background: var(--clr-bg);
    border-bottom: 1px solid var(--clr-border);
    grid-template-rows: var(--space-md) auto var(--space-md);
    position: sticky;
    top: 0;
    z-index: 10;
    grid-template-columns: var(--space-lg) 1fr var(--space-lg);
}

main {
    display: grid;
    grid-template-columns: var(--space-lg) 1fr var(--space-lg);
    grid-template-rows: var(--space-xl) auto var(--space-xl);
}

main > * {
    display: grid;
    grid-column: 2;
    grid-row: 2;
    gap: var(--space-xl);
}

main form {
    display: grid;
    gap: var(--space-lg);
}

article header {
    display: grid;
    gap: var(--space-md);
}

main a {
    text-decoration: underline;
}

search {
    display: grid;
    background: var(--clr-bg);
    border-bottom: 1px solid var(--clr-border);
    grid-template-rows: var(--space-md) auto var(--space-md);
    position: sticky;
    top: 0;
    z-index: 10;
    grid-template-columns: var(--space-lg) 1fr var(--space-lg);
}

search form {
    display: grid;
    grid-template-columns: 1fr auto;
    grid-column: 2;
    grid-row: 2;
    gap: 1.5rem;
}

article section {
    display: grid;
    gap: var(--space-xs);
}

header nav {
    grid-column: 2;
    grid-row: 2;
}

header nav ol {
    grid-template-columns: 1fr auto auto;
}

menu {
    display: flex;
    gap: var(--space-lg);
    margin: 0;
    padding: 0;
    font-size: 0.75rem;
}

main form input {
    border: 1px solid var(--clr-border);
    border-radius: var(--space-xs);
    padding: var(--space-md);
}

main form input:focus {
    border-color: var(--clr-muted);
}

main form button {
    background: var(--clr-text);
    border-radius: var(--space-xs);
    color: var(--clr-bg);
    padding: var(--space-md);
}

main form button:hover {
    background: var(--clr-bright);
    color: var(--clr-bg);
}

input[type="search"]::-webkit-search-decoration {
    display: none;
}

input[type="search"]::-webkit-search-cancel-button {
    display: none;
}

input[type="search"]::-webkit-search-results-button {
    display: none;
}

input[type="search"]::-webkit-search-results-decoration {
    display: none;
}

.sr-only {
    display: none !important;
}

[hidden] {
    display: none !important;
}

article {
    grid-column: 2;
    grid-row: 2;
}

article span {
    display: inline-grid;
}

article span::before {
    content: "\00a0";
}

article span:has(abbr)::before {
    display: none;
}

abbr {
    margin-right: var(--space-xs);
    width: fit-content;
    text-decoration: none;
}

sup {
    font-size: .75rem;
}

main ul {
   font-size: .75rem; 
}

@media screen and (min-width: 63rem) {
    header:not(article header) {
        grid-template-columns: 1fr 60rem 1fr;
    }

    main {
        grid-template-columns: 1fr 60rem 1fr;
    }

    search {
        grid-template-columns: 1fr 60rem 1fr;
    }
}